# StoreBytes in ppv_lite86 - Rust
API documentation for the Rust `StoreBytes` trait in crate `ppv_lite86`.
Keywords: rust, rustlang, rust-lang, StoreBytes

# Trait ppv_lite86::StoreBytes

source · [−]

    pub trait StoreBytes {
        unsafe fn unsafe_read_le(input: &[u8]) -> Self;
        unsafe fn unsafe_read_be(input: &[u8]) -> Self;
        fn write_le(self, out: &mut [u8]);
        fn write_be(self, out: &mut [u8]);
    }

## Required Methods

source

#### unsafe fn unsafe_read_le(input: &[ u8 ]) -> Self

##### Safety

Caller must ensure the type of Self is appropriate for the hardware of the execution environment.

source

#### unsafe fn unsafe_read_be(input: &[ u8 ]) -> Self

##### Safety

Caller must ensure the type of Self is appropriate for the hardware of the execution environment.

source

#### fn write_le(self, out: &mut [ u8 ])

source

#### fn write_be(self, out: &mut [ u8 ])

## Implementors